<template>
  <page-layout :cover="cover" coverColor="bg-gray-100">
    <!-- Page Content Start -->
    <lazy-hydrate ssr-only>
      <cooperativa-que-fem v-bind="content.whatWeDo" />
    </lazy-hydrate>

    <lazy-hydrate ssr-only>
      <cooperativa-qui-som v-bind="content.whoWeAre" />
    </lazy-hydrate>

    <lazy-hydrate ssr-only>
      <cooperativa-on-som v-bind="content.whereWeAre" />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/escola/cooperativa';

export default {
  name: 'CooperativaArcadia',
  components: PageSections,
  inject: ['site'],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { whatWeDo, whoWeAre, whereWeAre } = this.$page.content;

      return {
        whatWeDo,
        whoWeAre,
        whereWeAre,
      };
    },
  },
  metaInfo() {
    const { siteName, siteDomain, twitter } = this.site.settings;
    const { title, description } = this.$page.content.meta;
    const { cover_image } = this.cover;

    return {
      title,
      meta: [
        {
          key: 'description',
          name: 'description',
          content: description,
        },
        {
          name: 'twitter:card',
          content: 'summary_large_image',
        },
        {
          name: 'twitter:site',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:creator',
          content: `@${twitter}`,
        },
        {
          name: 'twitter:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'twitter:description',
          content: description,
        },
        {
          name: 'twitter:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'twitter:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:url',
          content: `https://${siteDomain}${this.$route.path}`,
        },
        {
          name: 'og:type',
          content: 'website',
        },
        {
          name: 'og:title',
          content: `${siteName} - ${title}`,
        },
        {
          name: 'og:image',
          content: `https://${siteDomain}${cover_image.image.src}`,
        },
        {
          name: 'og:image:alt',
          content: cover_image.description,
        },
        {
          name: 'og:description',
          content: description,
        },
        {
          name: 'og:site_name',
          content: siteName,
        },
        {
          name: 'og:locale',
          content: 'ca_ES',
        },
      ],
    };
  },
};
</script>

<page-query>
query CooperativaPageContent {
  content: cooperativaPageContent(path: "/content/escola/cooperativa") {
    meta {
      title
      description
    }
    cover {
      headline
      cover_image {
        image
        description
      }
    }
    whatWeDo {
      heading
      text
      corePoints {
        icon
        heading
        text
      }
    }
    whoWeAre {
      heading
      text
      background_image {
        image
        description
      }
    }
    whereWeAre {
      heading
      text
      venue_image {
        image
        description
      }
    }
  }
}
</page-query>